Base Distribution - Task # 40691

Story # 40628 (Closed): As any user, | need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:

Created: 2012-09-07 Assigned To: Sebastian Kurfuerst
Updated: 2012-10-04 Due date:

Subject: Test / fix image handling

Description

Associated revisions

Revision 27d00eac - 2012-09-13 10:30 - Sebastian Kurfuerst

[FEATURE] Refactor, fix and improve image handling

This change implements reworked, cleaned up and fixed image handling.

NOTE: If you add an image content element and directly want to modify it,
the "apply" button does not activate. This is a bug in adding of nodes,
as described in #40860. This will be fixed lateron. As a workaround,

you should reload the backend after adding a new image content element.

It contains the following detail-improvements:

- Uploading images works correctly

Cropping images works

Setting width and height works as expected

- saving works

loading existing images works

We now consistently use "w" and "h" for width and height, in
sync with jCrop

updated jCrop

various detail bugfixes

code cleanup and restructuring

When selecting an already-existing image, a loading indicator

is shown while image metadata is fetched.

the methods which are still used.

Resolves: #40691
Change-Id: I1d640f0ce45fc4145336¢c66fe18823299f866b46b

History

The server side ContentController is cleaned up, containing only

#1 - 2012-09-07 09:05 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#2 - 2012-09-07 09:06 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)

#3 - 2012-09-11 13:42 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#4 - 2012-09-12 07:10 - Sebastian Kurfuerst
- Status changed from New to Accepted

#5 - 2012-09-12 12:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14541

#6 - 2012-09-12 12:40 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#7 - 2012-09-13 09:50 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14541

#8 - 2012-09-13 10:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14541

#9 - 2012-09-13 10:57 - Sebastian Kurfuerst

- Status changed from Under Review to Resolved
- Estimated time set to 0.00

- Remaining (hours) set to 0.0

#10 - 2012-09-20 15:42 - Sebastian Kurfuerst
- % Done changed from 0 to 100

#11 - 2012-10-04 13:55 - Markus Goldbeck

- Status changed from Resolved to Closed
